org.apache.xmlbeans.impl.xb.ltgfmt

## Interface TestsDocument.Tests

All Superinterfaces:
  XmlObject, XmlTokenSource

All Known Implementing Classes:
  TestsDocumentImpl.TestsImpl

Enclosing interface:
  TestsDocument

    public static interface TestsDocument.Tests
    extends XmlObject

An XML tests(@http://www.bea.com/2003/05/xmlbean/ltgfmt). This is a complex type.

### Field Summary

Fields
`static ElementFactory<TestsDocument.Tests>` `Factory`
`static SchemaType` `type`

### Fields inherited from interface org.apache.xmlbeans.XmlObject

`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

### Method Summary

All Methods Instance Methods Abstract Methods
`TestCase` `addNewTest()` Appends and returns a new empty value (as xml) as the last "test" element
`TestCase[]` `getTestArray()` Gets array of all "test" elements
`TestCase` `getTestArray(int i)` Gets ith "test" element
`List<TestCase>` `getTestList()` Gets a List of "test" elements
`TestCase` `insertNewTest(int i)` Inserts and returns a new empty value (as xml) as the ith "test" element
`void` `removeTest(int i)` Removes the ith "test" element
`void` `setTestArray(int i, TestCase test)` Sets ith "test" element
`void` `setTestArray(TestCase[] testArray)` Sets array of all "test" element
`int` `sizeOfTestArray()` Returns number of "test" element

### Methods inherited from interface org.apache.xmlbeans.XmlObject

`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

### Field Detail

#### Factory

    static final ElementFactory<TestsDocument.Tests> Factory

#### type

    static final SchemaType type

### Method Detail

#### getTestList

    List<TestCase> getTestList()

Gets a List of "test" elements

#### getTestArray

    TestCase[] getTestArray()

Gets array of all "test" elements

#### getTestArray

    TestCase getTestArray(int i)

Gets ith "test" element

#### sizeOfTestArray

    int sizeOfTestArray()

Returns number of "test" element

#### setTestArray

    void setTestArray(TestCase[] testArray)

Sets array of all "test" element

#### setTestArray

    void setTestArray(int i,
                      TestCase test)

Sets ith "test" element

#### insertNewTest

    TestCase insertNewTest(int i)

Inserts and returns a new empty value (as xml) as the ith "test" element

#### addNewTest

    TestCase addNewTest()

Appends and returns a new empty value (as xml) as the last "test" element

#### removeTest

    void removeTest(int i)

Removes the ith "test" element